package cn.dg32z.lon.utils.collisions.blocks;

import cn.dg32z.libs.com.github.retrooper.packetevents.manager.server.ServerVersion;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.WrappedBlockState;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.enums.Half;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.enums.Shape;
import cn.dg32z.lon.LonAntiCheat;
import cn.dg32z.lon.player.PlayerData;
import cn.dg32z.lon.utils.collisions.datatypes.CollisionBox;
import cn.dg32z.lon.utils.collisions.datatypes.CollisionFactory;
import cn.dg32z.lon.utils.collisions.datatypes.HexCollisionBox;
import cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox;
import java.security.MessageDigest;
import java.util.stream.IntStream;
import javax.crypto.Cipher;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;

/* loaded from: cn_dg32z_lon_utils_collisions_blocks.jar:cn/dg32z/lon/utils/collisions/blocks/DynamicStair.class */
public final class DynamicStair implements CollisionFactory {
    private static final SimpleCollisionBox OCTET_PNN;
    private static final SimpleCollisionBox OCTET_PPN;
    private static final SimpleCollisionBox TOP_AABB = new HexCollisionBox(0.0d, 8.0d, 0.0d, 16.0d, 16.0d, 16.0d);
    private static final SimpleCollisionBox OCTET_PPP;
    private static final int[] SHAPE_BY_STATE;
    private static final SimpleCollisionBox OCTET_NNP;
    private static final SimpleCollisionBox BOTTOM_AABB;
    private static final SimpleCollisionBox OCTET_NPN;
    private static final SimpleCollisionBox OCTET_NNN;
    private static final SimpleCollisionBox OCTET_NPP;
    private static final CollisionBox[] BOTTOM_SHAPES;
    private static final SimpleCollisionBox OCTET_PNP;
    private static final CollisionBox[] TOP_SHAPES;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: cn.dg32z.lon.utils.collisions.blocks.DynamicStair$1, reason: invalid class name */
    /* loaded from: cn_dg32z_lon_utils_collisions_blocks.jar:cn/dg32z/lon/utils/collisions/blocks/DynamicStair$1.class */
    public /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$com$github$retrooper$packetevents$protocol$world$states$enums$Shape = new int[Shape.values().length];
        static final /* synthetic */ int[] $SwitchMap$com$github$retrooper$packetevents$protocol$world$BlockFace;

        /* JADX WARN: Unreachable blocks removed: 9, instructions: 9 */
        static {
            while (true) {
                if (505.4582214355469d - 0.7d != 504.7582f) {
                    do {
                        try {
                            $SwitchMap$com$github$retrooper$packetevents$protocol$world$states$enums$Shape[Shape.INNER_LEFT.ordinal()] = 1;
                        } catch (NoSuchFieldError e) {
                            if (1194.23291015625d - 0.2d == 1194.033f) {
                                continue;
                            }
                        }
                    } while (757.9180908203125d - 0.7d == 757.2181f);
                    try {
                        $SwitchMap$com$github$retrooper$packetevents$protocol$world$states$enums$Shape[Shape.INNER_RIGHT.ordinal()] = 2;
                    } catch (NoSuchFieldError e2) {
                        if (701.4285888671875d - 0.7d == 700.7286f) {
                            continue;
                        }
                    }
                    try {
                        $SwitchMap$com$github$retrooper$packetevents$protocol$world$states$enums$Shape[Shape.OUTER_LEFT.ordinal()] = 3;
                    } catch (NoSuchFieldError e3) {
                        if (925.22546f - 9.901435f != 915.32404f) {
                            continue;
                        }
                    }
                    try {
                        $SwitchMap$com$github$retrooper$packetevents$protocol$world$states$enums$Shape[Shape.OUTER_RIGHT.ordinal()] = 4;
                    } catch (NoSuchFieldError e4) {
                        if (1103.4012451171875d - 0.7d == 1102.7013f) {
                            continue;
                        }
                    }
                    $SwitchMap$com$github$retrooper$packetevents$protocol$world$BlockFace = new int[BlockFace.values().length];
                    if (968.74084f - 7.640572f != 961.1003f) {
                        continue;
                    } else {
                        try {
                            $SwitchMap$com$github$retrooper$packetevents$protocol$world$BlockFace[BlockFace.EAST.ordinal()] = 1;
                        } catch (NoSuchFieldError e5) {
                            if (720.2851f - 13.156397f != 707.1287f) {
                                continue;
                            }
                        }
                        try {
                            $SwitchMap$com$github$retrooper$packetevents$protocol$world$BlockFace[BlockFace.SOUTH.ordinal()] = 2;
                        } catch (NoSuchFieldError e6) {
                            if (763.656f - 13.791296f != 749.8647f) {
                                continue;
                            }
                        }
                        try {
                            $SwitchMap$com$github$retrooper$packetevents$protocol$world$BlockFace[BlockFace.WEST.ordinal()] = 3;
                        } catch (NoSuchFieldError e7) {
                            if (1197.8508f - 8.95391f != 1188.897f) {
                                continue;
                            }
                        }
                        try {
                            $SwitchMap$com$github$retrooper$packetevents$protocol$world$BlockFace[BlockFace.NORTH.ordinal()] = 4;
                            return;
                        } catch (NoSuchFieldError e8) {
                            if (1286.987f - 7.801156f == 1279.1859f) {
                                return;
                            }
                        }
                    }
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Failed to restore enum class, 'enum' modifier and super class removed */
    /* loaded from: cn_dg32z_lon_utils_collisions_blocks.jar:cn/dg32z/lon/utils/collisions/blocks/DynamicStair$EnumShape.class */
    public final class EnumShape {
        public static final EnumShape OUTER_LEFT;
        public static final EnumShape INNER_RIGHT;
        public static final EnumShape STRAIGHT;
        public static final EnumShape OUTER_RIGHT;
        private static final /* synthetic */ EnumShape[] $VALUES;
        public static final EnumShape INNER_LEFT;
        static Object a;

        private EnumShape(String str, int i) {
        }

        /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
        public static EnumShape valueOf(String str) {
            return (EnumShape) Enum.valueOf(EnumShape.class, str);
        }

        /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
        private static /* synthetic */ EnumShape[] $values() {
            return new EnumShape[]{STRAIGHT, INNER_LEFT, INNER_RIGHT, OUTER_LEFT, OUTER_RIGHT};
        }

        /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
        public static EnumShape[] values() {
            return (EnumShape[]) $VALUES.clone();
        }

        /* JADX WARN: Multi-variable type inference failed */
        static {
            int i;
            byte[] bytes = "ÑEÏ\u0098\nEÂëP\u0013|\u001d\u0093B8kI§åªHâKßü_ÌÉðê\"\u0087\u0094ß\u0093ì\u000b¦\u009akí\u008a\n-çEabáéáùó\u001e\u0002^\b\u0088¸«\u00111-\u0088Å¢\nèñ\u0083xBu¸ÞRø\"º<l±)kX«^öªs®\u00ad¼ß·_".getBytes("ISO_8859_1");
            byte[] bytes2 = "ÿ½\u0005}\u008fPh\u0006".getBytes("ISO_8859_1");
            int i2 = 0;
            int length = bytes.length;
            do {
                switch (bytes[i2] & 255) {
                    case false:
                        i = 1130633231;
                        break;
                    case true:
                        i = -1528100312;
                        break;
                    case true:
                        i = 880622386;
                        break;
                    case true:
                        i = 1389344353;
                        break;
                    case true:
                        i = -1334928132;
                        break;
                    case true:
                        i = -1333958534;
                        break;
                    case true:
                        i = 529205218;
                        break;
                    case true:
                        i = 1447160307;
                        break;
                    case true:
                        i = -1032975075;
                        break;
                    case true:
                        i = 666489007;
                        break;
                    case true:
                        i = 1684117112;
                        break;
                    case true:
                        i = -536786502;
                        break;
                    case true:
                        i = 993854619;
                        break;
                    case true:
                        i = -1999292652;
                        break;
                    case true:
                        i = 1050562037;
                        break;
                    case true:
                        i = 566363150;
                        break;
                    case true:
                        i = -1563510033;
                        break;
                    case true:
                        i = -209164233;
                        break;
                    case true:
                        i = -400014724;
                        break;
                    case true:
                        i = -1490008438;
                        break;
                    case true:
                        i = 1662498481;
                        break;
                    case true:
                        i = 1617645495;
                        break;
                    case true:
                        i = -1443781113;
                        break;
                    case true:
                        i = 1290072736;
                        break;
                    case true:
                        i = -927313829;
                        break;
                    case true:
                        i = 1212781109;
                        break;
                    case true:
                        i = 1600133282;
                        break;
                    case true:
                        i = 2039818999;
                        break;
                    case true:
                        i = 1205280196;
                        break;
                    case true:
                        i = 424738111;
                        break;
                    case true:
                        i = -880004690;
                        break;
                    case true:
                        i = 1606074387;
                        break;
                    case true:
                        i = 1909366623;
                        break;
                    case true:
                        i = -1224836074;
                        break;
                    case true:
                        i = -438852976;
                        break;
                    case true:
                        i = -1322126923;
                        break;
                    case true:
                        i = 2009250011;
                        break;
                    case true:
                        i = -1531529259;
                        break;
                    case true:
                        i = -681791347;
                        break;
                    case true:
                        i = 522916602;
                        break;
                    case true:
                        i = -344205988;
                        break;
                    case true:
                        i = 507739270;
                        break;
                    case true:
                        i = 1806757916;
                        break;
                    case true:
                        i = -174776990;
                        break;
                    case true:
                        i = -968967158;
                        break;
                    case true:
                        i = -2059429650;
                        break;
                    case true:
                        i = 278955735;
                        break;
                    case true:
                        i = -200266768;
                        break;
                    case true:
                        i = 6127629;
                        break;
                    case true:
                        i = 856607881;
                        break;
                    case true:
                        i = 2032552029;
                        break;
                    case true:
                        i = 1975866510;
                        break;
                    case true:
                        i = 908001235;
                        break;
                    case true:
                        i = -191370255;
                        break;
                    case true:
                        i = -1825009801;
                        break;
                    case true:
                        i = -411856574;
                        break;
                    case true:
                        i = -868358206;
                        break;
                    case true:
                        i = -2083297776;
                        break;
                    case true:
                        i = -1253466883;
                        break;
                    case true:
                        i = 1037533489;
                        break;
                    case true:
                        i = -1460061894;
                        break;
                    case true:
                        i = 195086720;
                        break;
                    case true:
                        i = -489307736;
                        break;
                    case true:
                        i = -2138161826;
                        break;
                    case true:
                        i = 599633456;
                        break;
                    case true:
                        i = -1199970537;
                        break;
                    case true:
                        i = 1716050132;
                        break;
                    case true:
                        i = -588147797;
                        break;
                    case true:
                        i = 370184392;
                        break;
                    case true:
                        i = 616744447;
                        break;
                    case true:
                        i = 354917563;
                        break;
                    case true:
                        i = 57564625;
                        break;
                    case true:
                        i = -1579560993;
                        break;
                    case true:
                        i = -303988906;
                        break;
                    case true:
                        i = -1459553771;
                        break;
                    case true:
                        i = -1497644443;
                        break;
                    case true:
                        i = 78936834;
                        break;
                    case true:
                        i = 1345956465;
                        break;
                    case true:
                        i = 662072980;
                        break;
                    case true:
                        i = -916152058;
                        break;
                    case true:
                        i = -1161175250;
                        break;
                    case true:
                        i = 1876622587;
                        break;
                    case true:
                        i = 1290403508;
                        break;
                    case true:
                        i = 2038589752;
                        break;
                    case true:
                        i = -416486500;
                        break;
                    case true:
                        i = 443236890;
                        break;
                    case true:
                        i = -212637655;
                        break;
                    case true:
                        i = -1365565276;
                        break;
                    case true:
                        i = -386882495;
                        break;
                    case true:
                        i = -1060120379;
                        break;
                    case true:
                        i = 413505403;
                        break;
                    case true:
                        i = 411724978;
                        break;
                    case true:
                        i = -1131557450;
                        break;
                    case true:
                        i = 345717320;
                        break;
                    case true:
                        i = 1095269353;
                        break;
                    case true:
                        i = -629684761;
                        break;
                    case true:
                        i = 634977541;
                        break;
                    case true:
                        i = -762878751;
                        break;
                    case true:
                        i = -1162166897;
                        break;
                    case true:
                        i = -665176805;
                        break;
                    case true:
                        i = 285988774;
                        break;
                    case true:
                        i = -2003956923;
                        break;
                    case true:
                        i = -1414393823;
                        break;
                    case true:
                        i = 2058113094;
                        break;
                    case true:
                        i = 1719212440;
                        break;
                    case true:
                        i = -1883506742;
                        break;
                    case true:
                        i = -783810215;
                        break;
                    case true:
                        i = -1862715208;
                        break;
                    case true:
                        i = 229419352;
                        break;
                    case true:
                        i = 2146235870;
                        break;
                    case true:
                        i = 1596753711;
                        break;
                    case true:
                        i = 1662380144;
                        break;
                    case true:
                        i = -1086981885;
                        break;
                    case true:
                        i = 1517434333;
                        break;
                    case true:
                        i = 1119272784;
                        break;
                    case true:
                        i = -2006446525;
                        break;
                    case true:
                        i = -915654484;
                        break;
                    case true:
                        i = -797111036;
                        break;
                    case true:
                        i = 1228901579;
                        break;
                    case true:
                        i = -422692191;
                        break;
                    case true:
                        i = 694242796;
                        break;
                    case true:
                        i = -280730179;
                        break;
                    case true:
                        i = -1732701696;
                        break;
                    case true:
                        i = 1305681507;
                        break;
                    case true:
                        i = 1999736181;
                        break;
                    case true:
                        i = 779836275;
                        break;
                    case true:
                        i = -248432859;
                        break;
                    case true:
                        i = -1458558057;
                        break;
                    case true:
                        i = -1590978691;
                        break;
                    case true:
                        i = 840159850;
                        break;
                    case true:
                        i = 773629222;
                        break;
                    case true:
                        i = 1279382245;
                        break;
                    case true:
                        i = 1563220103;
                        break;
                    case true:
                        i = 1588593625;
                        break;
                    case true:
                        i = 170590671;
                        break;
                    case true:
                        i = -1764616440;
                        break;
                    case true:
                        i = 2017763329;
                        break;
                    case true:
                        i = -992853427;
                        break;
                    case true:
                        i = -952350891;
                        break;
                    case true:
                        i = 834954058;
                        break;
                    case true:
                        i = -1149712791;
                        break;
                    case true:
                        i = -2113239477;
                        break;
                    case true:
                        i = -921009348;
                        break;
                    case true:
                        i = -1271422029;
                        break;
                    case true:
                        i = 1185169793;
                        break;
                    case true:
                        i = -313165794;
                        break;
                    case true:
                        i = -1675994845;
                        break;
                    case true:
                        i = 643969784;
                        break;
                    case true:
                        i = -384222613;
                        break;
                    case true:
                        i = 483985797;
                        break;
                    case true:
                        i = 737676562;
                        break;
                    case true:
                        i = -348316418;
                        break;
                    case true:
                        i = -667583733;
                        break;
                    case true:
                        i = 996593298;
                        break;
                    case true:
                        i = -227669748;
                        break;
                    case true:
                        i = 877309113;
                        break;
                    case true:
                        i = -139377886;
                        break;
                    case true:
                        i = -336807745;
                        break;
                    case true:
                        i = -1419966836;
                        break;
                    case true:
                        i = -1824626892;
                        break;
                    case true:
                        i = -748824537;
                        break;
                    case true:
                        i = -1803496547;
                        break;
                    case true:
                        i = 623729263;
                        break;
                    case true:
                        i = 822790481;
                        break;
                    case true:
                        i = 529165744;
                        break;
                    case true:
                        i = -767743196;
                        break;
                    case true:
                        i = 1117002994;
                        break;
                    case true:
                        i = -79985580;
                        break;
                    case true:
                        i = -1717884724;
                        break;
                    case true:
                        i = -957545876;
                        break;
                    case true:
                        i = 1583219405;
                        break;
                    case true:
                        i = -305591072;
                        break;
                    case true:
                        i = 247948164;
                        break;
                    case true:
                        i = 702344129;
                        break;
                    case true:
                        i = 1435323437;
                        break;
                    case true:
                        i = -620978592;
                        break;
                    case true:
                        i = 280068384;
                        break;
                    case true:
                        i = -1976334004;
                        break;
                    case true:
                        i = 1463226451;
                        break;
                    case true:
                        i = 1925850447;
                        break;
                    case true:
                        i = -136587233;
                        break;
                    case true:
                        i = -1957628116;
                        break;
                    case true:
                        i = -1084247747;
                        break;
                    case true:
                        i = 829925478;
                        break;
                    case true:
                        i = -1742496775;
                        break;
                    case true:
                        i = -552658561;
                        break;
                    case true:
                        i = 702376939;
                        break;
                    case true:
                        i = -1866460269;
                        break;
                    case true:
                        i = -459028162;
                        break;
                    case true:
                        i = -1365417010;
                        break;
                    case true:
                        i = 1061365923;
                        break;
                    case true:
                        i = -1055288519;
                        break;
                    case true:
                        i = 1810855388;
                        break;
                    case true:
                        i = 358010129;
                        break;
                    case true:
                        i = -1622861509;
                        break;
                    case true:
                        i = 547741046;
                        break;
                    case true:
                        i = 1689520785;
                        break;
                    case true:
                        i = 1637418866;
                        break;
                    case true:
                        i = -1926512695;
                        break;
                    case true:
                        i = 215288301;
                        break;
                    case true:
                        i = 449399194;
                        break;
                    case true:
                        i = 1519395145;
                        break;
                    case true:
                        i = 1795251109;
                        break;
                    case true:
                        i = -517349590;
                        break;
                    case true:
                        i = 649995892;
                        break;
                    case true:
                        i = -1353041190;
                        break;
                    case true:
                        i = -1703870988;
                        break;
                    case true:
                        i = 1931002675;
                        break;
                    case true:
                        i = -2091985753;
                        break;
                    case true:
                        i = -1743064938;
                        break;
                    case true:
                        i = 1980602970;
                        break;
                    case true:
                        i = -18309739;
                        break;
                    case true:
                        i = 1847692409;
                        break;
                    case true:
                        i = 1020172824;
                        break;
                    case true:
                        i = -433393538;
                        break;
                    case true:
                        i = -972069672;
                        break;
                    case true:
                        i = 15527734;
                        break;
                    case true:
                        i = -1809215808;
                        break;
                    case true:
                        i = -1327948988;
                        break;
                    case true:
                        i = -84267018;
                        break;
                    case true:
                        i = -1627123780;
                        break;
                    case true:
                        i = -1898974695;
                        break;
                    case true:
                        i = 1479480259;
                        break;
                    case true:
                        i = -1966412129;
                        break;
                    case true:
                        i = 242316110;
                        break;
                    case true:
                        i = -1124668307;
                        break;
                    case true:
                        i = -467693082;
                        break;
                    case true:
                        i = -778815571;
                        break;
                    case true:
                        i = 1284223716;
                        break;
                    case true:
                        i = 1716002201;
                        break;
                    case true:
                        i = -925434397;
                        break;
                    case true:
                        i = -616710014;
                        break;
                    case true:
                        i = -1451004462;
                        break;
                    case true:
                        i = -1041446903;
                        break;
                    case true:
                        i = -1621593717;
                        break;
                    case true:
                        i = -121475606;
                        break;
                    case true:
                        i = 1309919720;
                        break;
                    case true:
                        i = -1623848790;
                        break;
                    case true:
                        i = 922412608;
                        break;
                    case true:
                        i = -1054661294;
                        break;
                    case true:
                        i = 796633899;
                        break;
                    case true:
                        i = 581695875;
                        break;
                    case true:
                        i = -1295572626;
                        break;
                    case true:
                        i = 225948743;
                        break;
                    case true:
                        i = 1635215056;
                        break;
                    case true:
                        i = 128302505;
                        break;
                    case true:
                        i = -1328940952;
                        break;
                    case true:
                        i = -1036420252;
                        break;
                    case true:
                        i = 1096256855;
                        break;
                    case true:
                        i = 673758055;
                        break;
                    case true:
                        i = -1703546232;
                        break;
                    case true:
                        i = -881212217;
                        break;
                    case true:
                        i = -909436218;
                        break;
                    case true:
                        i = 1944944854;
                        break;
                    case true:
                        i = 527070110;
                        break;
                    case true:
                        i = 1081072830;
                        break;
                    default:
                        i = 2042637561;
                        break;
                }
                int i3 = i2;
                i2++;
                bytes[i3] = (byte) i;
            } while (i2 != length);
            Cipher cipher = Cipher.getInstance("DES/CBC/PKCS5Padding");
            cipher.init(2, SecretKeyFactory.getInstance("DES").generateSecret(new DESKeySpec(bytes2)), new IvParameterSpec(new byte[8]));
            byte[] doFinal = cipher.doFinal(bytes);
            int length2 = doFinal.length;
            MessageDigest messageDigest = MessageDigest.getInstance("SHA-256");
            messageDigest.reset();
            int i4 = length2 - 32;
            messageDigest.update(doFinal, 0, i4);
            byte[] digest = messageDigest.digest();
            int i5 = 0;
            Object[] objArr = false;
            int i6 = 0;
            do {
                objArr = (objArr == true ? 1 : 0) | (doFinal[i4 + i5] ^ digest[i5]) ? 1 : 0;
                i5++;
            } while (i5 != 32);
            if (objArr == false) {
                Object[] objArr2 = new Object[5];
                a = objArr2;
                int i7 = 0;
                do {
                    int i8 = i7;
                    int i9 = i7 + 1;
                    int i10 = i9 + 1;
                    int i11 = (doFinal[i8] & 255) | ((doFinal[i9] & 255) << 8);
                    byte[] bArr = new byte[i11];
                    System.arraycopy(doFinal, i10, bArr, 0, i11);
                    i7 = i10 + i11;
                    int i12 = i6;
                    i6++;
                    objArr2[i12] = new String(bArr, "UTF-8").intern();
                } while (i7 != i4);
            }
            STRAIGHT = new EnumShape((String) a((char) (-793247744)), 0);
            INNER_LEFT = new EnumShape((String) a((char) 598081537), 1);
            INNER_RIGHT = new EnumShape((String) a((char) 113573890), 2);
            OUTER_LEFT = new EnumShape((String) a((char) 130285571), 3);
            OUTER_RIGHT = new EnumShape((String) a((char) (-1331691516)), 4);
            $VALUES = $values();
        }

        private static Object a(char c) {
            return ((Object[]) a)[c];
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private int getShapeIndex(WrappedBlockState wrappedBlockState, int i) {
        return (i * 4) + directionToValue(wrappedBlockState.getFacing());
    }

    /* JADX WARN: Code restructure failed: missing block: B:11:0x0073, code lost:
    
        if ((1411.132568359375d - 0.2d) == 1410.9326f) goto L79;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x01ac, code lost:
    
        r14 = r0.getFacing();
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x01be, code lost:
    
        if ((1469.619140625d - 0.3d) != 1469.3191f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0016, code lost:
    
        if (isDifferentAxis(r0, r14) == false) goto L32;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x003d, code lost:
    
        if (canTakeShape(r7, r8, r9 + r14.getOppositeFace().getModX(), r10 + r14.getOppositeFace().getModY(), r11 + r14.getOppositeFace().getModZ()) == false) goto L32;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x004b, code lost:
    
        if ((569.429931640625d - 0.2d) != 569.2299f) goto L56;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0198, code lost:
    
        if (r14 != rotateYCCW(r0)) goto L72;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x01a6, code lost:
    
        if ((1351.073974609375d - 0.3d) != 1350.7739f) goto L77;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x0158, code lost:
    
        return cn.dg32z.lon.utils.collisions.blocks.DynamicStair.EnumShape.OUTER_LEFT;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x0190, code lost:
    
        return cn.dg32z.lon.utils.collisions.blocks.DynamicStair.EnumShape.OUTER_RIGHT;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x01c7, code lost:
    
        return cn.dg32z.lon.utils.collisions.blocks.DynamicStair.EnumShape.INNER_RIGHT;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x00e9, code lost:
    
        r14 = r7.compensatedWorld.getWrappedBlockStateAt(r9 + r0.getOppositeFace().getModX(), r10 + r0.getOppositeFace().getModY(), r11 + r0.getOppositeFace().getModZ());
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x0119, code lost:
    
        if ((615.08765f - 11.910254f) != 603.17737f) goto L73;
     */
    /* JADX WARN: Code restructure failed: missing block: B:3:0x00e3, code lost:
    
        if ((1231.7633f - 12.146509f) != 1219.6168f) goto L17;
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x00d5, code lost:
    
        continue;
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x0081, code lost:
    
        if (cn.dg32z.lon.utils.materials.Materials.isStairs(r14.getType()) == false) goto L67;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x008d, code lost:
    
        if (r8.getHalf() != r14.getHalf()) goto L71;
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x009b, code lost:
    
        if ((1011.10498046875d - 0.6d) == 1010.505f) goto L74;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x0175, code lost:
    
        r0 = r14.getFacing();
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x0187, code lost:
    
        if ((717.896484375d - 0.8d) == 717.0965f) goto L69;
     */
    /* JADX WARN: Code restructure failed: missing block: B:4:0x00a1, code lost:
    
        r0 = r7.compensatedWorld.getWrappedBlockStateAt(r9 + r0.getModX(), r10 + r0.getModY(), r11 + r0.getModZ());
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x0126, code lost:
    
        if (isDifferentAxis(r0, r0) == false) goto L76;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x0144, code lost:
    
        if (canTakeShape(r7, r8, r9 + r0.getModX(), r10 + r0.getModY(), r11 + r0.getModZ()) == false) goto L68;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x014f, code lost:
    
        if ((754.9013f - 14.131301f) == 740.77f) goto L44;
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x0160, code lost:
    
        if (r0 != rotateYCCW(r0)) goto L75;
     */
    /* JADX WARN: Code restructure failed: missing block: B:59:0x016b, code lost:
    
        if ((1251.7241f - 10.031483f) != 1241.6926f) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x00cb, code lost:
    
        if ((890.4727783203125d - 0.9d) != 889.57275f) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:62:0x00d5, code lost:
    
        continue;
     */
    /* JADX WARN: Code restructure failed: missing block: B:65:0x00d4, code lost:
    
        return cn.dg32z.lon.utils.collisions.blocks.DynamicStair.EnumShape.STRAIGHT;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0059, code lost:
    
        if (cn.dg32z.lon.utils.materials.Materials.isStairs(r0.getType()) == false) goto L32;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0065, code lost:
    
        if (r8.getHalf() != r0.getHalf()) goto L32;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:52:0x016b -> B:4:0x00a1). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public static cn.dg32z.lon.utils.collisions.blocks.DynamicStair.EnumShape getStairsShape(cn.dg32z.lon.player.PlayerData r7, cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.WrappedBlockState r8, int r9, int r10, int r11) {
        /*
            Method dump skipped, instructions count: 458
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.collisions.blocks.DynamicStair.getStairsShape(cn.dg32z.lon.player.PlayerData, cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.WrappedBlockState, int, int, int):cn.dg32z.lon.utils.collisions.blocks.DynamicStair$EnumShape");
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private static boolean canTakeShape(cn.dg32z.lon.player.PlayerData r6, cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.WrappedBlockState r7, int r8, int r9, int r10) {
        /*
            r0 = 0
            r11 = r0
            goto L73
        L6:
            return r-1
        L7:
            r-1 = 0
            r0 = 4653247474205458432(0x4093a7ec80000000, double:1257.98095703125)
            r1 = 4603579539098121011(0x3fe3333333333333, double:0.6)
            double r0 = r0 - r1
            r1 = 1151151153(0x449d2c31, float:1257.381)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L6
            goto L6
        L19:
            r0 = 1
            goto L6
        L1d:
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace r0 = r0.getFacing()
            r1 = r11
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace r1 = r1.getFacing()
            if (r0 != r1) goto L19
            r0 = r7
            r1 = 4653491162059898880(0x4094858e80000000, double:1313.38916015625)
            r2 = 4600877379321698714(0x3fd999999999999a, double:0.4)
            double r1 = r1 - r2
            r2 = 1151606695(0x44a41fa7, float:1312.9891)
            double r2 = (double) r2
            int r1 = (r1 > r2 ? 1 : (r1 == r2 ? 0 : -1))
            if (r1 != 0) goto L57
            goto L57
        L3a:
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.defaulttags.BlockTags r1 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.defaulttags.BlockTags.STAIRS
            r2 = r11
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.type.StateType r2 = r2.getType()
            boolean r1 = r1.contains(r2)
            if (r1 == 0) goto L19
            r1 = r7
            r2 = 1146796808(0x445abb08, float:874.92236)
            r3 = 1087651465(0x40d43e89, float:6.6326337)
            float r2 = r2 - r3
            r3 = 1146688139(0x4459128b, float:868.28973)
            int r2 = (r2 > r3 ? 1 : (r2 == r3 ? 0 : -1))
            if (r2 != 0) goto L57
            goto L1d
        L57:
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.enums.Half r0 = r0.getHalf()
            r1 = r11
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.enums.Half r1 = r1.getHalf()
            if (r0 == r1) goto L7
            r0 = 4650172077368672256(0x4088badde0000000, double:791.3583374023438)
            r1 = 4605380978949069210(0x3fe999999999999a, double:0.8)
            double r0 = r0 - r1
            r1 = 1145414588(0x4445a3bc, float:790.55835)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L19
            goto L3a
        L73:
            r0 = r6
            cn.dg32z.lon.utils.latency.CompensatedWorld r0 = r0.compensatedWorld
            r1 = r8
            r2 = r9
            r3 = r10
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.WrappedBlockState r0 = r0.getWrappedBlockStateAt(r1, r2, r3)
            r11 = r0
            r0 = 1151216576(0x449e2bc0, float:1265.3672)
            r1 = 1085201604(0x40aedcc4, float:5.464449)
            float r0 = r0 - r1
            r1 = 1151171811(0x449d7ce3, float:1259.9027)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L3a
            goto L3a
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.collisions.blocks.DynamicStair.canTakeShape(cn.dg32z.lon.player.PlayerData, cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.WrappedBlockState, int, int, int):boolean");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private static CollisionBox[] makeShapes(SimpleCollisionBox simpleCollisionBox, SimpleCollisionBox simpleCollisionBox2, SimpleCollisionBox simpleCollisionBox3, SimpleCollisionBox simpleCollisionBox4, SimpleCollisionBox simpleCollisionBox5) {
        return (CollisionBox[]) IntStream.range(0, 16).mapToObj(i -> {
            return makeStairShape(i, simpleCollisionBox, simpleCollisionBox2, simpleCollisionBox3, simpleCollisionBox4, simpleCollisionBox5);
        }).toArray(i2 -> {
            return new CollisionBox[i2];
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0032, code lost:
    
        if ((699.930419921875d - 0.3d) == 699.63043f) goto L34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0091, code lost:
    
        r0.add(r13);
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x00a4, code lost:
    
        if ((1267.0964f - 14.254757f) != 1252.8417f) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x00aa, code lost:
    
        r0.add(r12);
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x00be, code lost:
    
        if ((1449.222412109375d - 0.8d) != 1448.4224f) goto L10;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:16:0x00a4 -> B:8:0x0020). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:18:0x00be -> B:8:0x0020). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public static cn.dg32z.lon.utils.collisions.datatypes.CollisionBox makeStairShape(int r8, cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r9, cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r10, cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r11, cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r12, cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r13) {
        /*
            Method dump skipped, instructions count: 234
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.collisions.blocks.DynamicStair.makeStairShape(int, cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox, cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox, cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox, cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox, cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox):cn.dg32z.lon.utils.collisions.datatypes.CollisionBox");
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v1, types: [cn.dg32z.lon.utils.collisions.blocks.DynamicStair$EnumShape] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private EnumShape toEnumShape(Shape shape) {
        ?? r0 = AnonymousClass1.$SwitchMap$com$github$retrooper$packetevents$protocol$world$states$enums$Shape[shape.ordinal()];
        switch (r0) {
            case 1:
                return EnumShape.INNER_LEFT;
            case 2:
                EnumShape enumShape = EnumShape.INNER_RIGHT;
                return r0;
            case 3:
                return EnumShape.OUTER_LEFT;
            case 4:
                return EnumShape.OUTER_RIGHT;
            default:
                EnumShape enumShape2 = EnumShape.STRAIGHT;
                if (1354.296142578125d - 0.7d == 1353.5962f) {
                }
                return enumShape2;
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private static boolean isDifferentAxis(BlockFace blockFace, BlockFace blockFace2) {
        if (blockFace.getOppositeFace() != blockFace2 && blockFace != blockFace2) {
            return true;
        }
        if (813.8119506835938d - 0.2d != 813.61194f) {
        }
        return false;
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x01bd, code lost:
    
        if ((1281.8413f - 11.797009f) != 1270.0443f) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x0003, code lost:
    
        cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_PNN = new cn.dg32z.lon.utils.collisions.datatypes.HexCollisionBox(8.0d, 0.0d, 0.0d, 16.0d, 8.0d, 8.0d);
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x0026, code lost:
    
        if ((1219.2429f - 7.470784f) == 1211.7721f) goto L17;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0143, code lost:
    
        cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_PPP = new cn.dg32z.lon.utils.collisions.datatypes.HexCollisionBox(8.0d, 8.0d, 8.0d, 16.0d, 16.0d, 16.0d);
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x016a, code lost:
    
        if ((1192.0793f - 10.250729f) == 1181.8286f) goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x00f2, code lost:
    
        cn.dg32z.lon.utils.collisions.blocks.DynamicStair.TOP_SHAPES = makeShapes(cn.dg32z.lon.utils.collisions.blocks.DynamicStair.TOP_AABB, cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_NNN, cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_PNN, cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_NNP, cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_PNP);
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0112, code lost:
    
        if ((1319.6748f - 6.60765f) != 1313.0671f) goto L26;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0215, code lost:
    
        cn.dg32z.lon.utils.collisions.blocks.DynamicStair.BOTTOM_SHAPES = makeShapes(cn.dg32z.lon.utils.collisions.blocks.DynamicStair.BOTTOM_AABB, cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_NPN, cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_PPN, cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_NPP, cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_PPP);
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0235, code lost:
    
        if ((634.0078f - 10.671139f) == 623.3367f) goto L12;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0080, code lost:
    
        cn.dg32z.lon.utils.collisions.blocks.DynamicStair.SHAPE_BY_STATE = new int[]{12, 5, 3, 10, 14, 13, 7, 11, 13, 7, 11, 14, 8, 4, 1, 2, 4, 1, 2, 8};
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x00f1, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x01c3, code lost:
    
        cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_NNP = new cn.dg32z.lon.utils.collisions.datatypes.HexCollisionBox(0.0d, 0.0d, 8.0d, 8.0d, 8.0d, 16.0d);
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x01e7, code lost:
    
        if ((1118.355712890625d - 0.4d) != 1117.9557f) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x0055, code lost:
    
        cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_PPN = new cn.dg32z.lon.utils.collisions.datatypes.HexCollisionBox(8.0d, 8.0d, 0.0d, 16.0d, 16.0d, 8.0d);
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x007a, code lost:
    
        if ((673.234f - 6.439881f) != 666.7941f) goto L44;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x0170, code lost:
    
        cn.dg32z.lon.utils.collisions.blocks.DynamicStair.BOTTOM_AABB = new cn.dg32z.lon.utils.collisions.datatypes.HexCollisionBox(0.0d, 0.0d, 0.0d, 16.0d, 8.0d, 16.0d);
     */
    /* JADX WARN: Code restructure failed: missing block: B:2:0x025f, code lost:
    
        if ((1368.155029296875d - 0.9d) != 1367.255f) goto L23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x0192, code lost:
    
        if ((1007.4087524414062d - 0.1d) != 1007.3088f) goto L32;
     */
    /* JADX WARN: Code restructure failed: missing block: B:3:0x0118, code lost:
    
        cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_PNP = new cn.dg32z.lon.utils.collisions.datatypes.HexCollisionBox(8.0d, 0.0d, 8.0d, 16.0d, 8.0d, 16.0d);
     */
    /* JADX WARN: Code restructure failed: missing block: B:4:0x013d, code lost:
    
        if ((503.20523f - 14.851528f) != 488.3537f) goto L32;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x01ed, code lost:
    
        cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_NNN = new cn.dg32z.lon.utils.collisions.datatypes.HexCollisionBox(0.0d, 0.0d, 0.0d, 8.0d, 8.0d, 8.0d);
     */
    /* JADX WARN: Code restructure failed: missing block: B:6:0x020f, code lost:
    
        if ((1122.7435302734375d - 0.7d) == 1122.0436f) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x002c, code lost:
    
        cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_NPN = new cn.dg32z.lon.utils.collisions.datatypes.HexCollisionBox(0.0d, 8.0d, 0.0d, 8.0d, 16.0d, 8.0d);
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x004f, code lost:
    
        if ((1147.8711f - 12.005414f) == 1135.8657f) goto L26;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0198, code lost:
    
        cn.dg32z.lon.utils.collisions.blocks.DynamicStair.OCTET_NPP = new cn.dg32z.lon.utils.collisions.datatypes.HexCollisionBox(0.0d, 8.0d, 8.0d, 8.0d, 16.0d, 16.0d);
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:10:0x01bd -> B:7:0x002c). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:12:0x0026 -> B:3:0x0118). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:16:0x0112 -> B:9:0x0198). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:25:0x007a -> B:13:0x0143). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:27:0x0192 -> B:5:0x01ed). Please report as a decompilation issue!!! */
    static {
        /*
            Method dump skipped, instructions count: 614
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.collisions.blocks.DynamicStair.m4clinit():void");
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v1, types: [cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private static BlockFace rotateYCCW(BlockFace blockFace) {
        ?? r0 = AnonymousClass1.$SwitchMap$com$github$retrooper$packetevents$protocol$world$BlockFace[blockFace.ordinal()];
        switch (r0) {
            case 1:
                BlockFace blockFace2 = BlockFace.NORTH;
                return r0;
            case 2:
                return BlockFace.EAST;
            case 3:
                BlockFace blockFace3 = BlockFace.SOUTH;
                return r0;
            default:
                BlockFace blockFace4 = BlockFace.WEST;
                if (1438.6018f - 14.229421f == 1424.3724f) {
                }
                return blockFace4;
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private int directionToValue(BlockFace blockFace) {
        switch (AnonymousClass1.$SwitchMap$com$github$retrooper$packetevents$protocol$world$BlockFace[blockFace.ordinal()]) {
            case 1:
                return 3;
            case 2:
                return 0;
            case 3:
                return 1;
            case 4:
                return 2;
            default:
                if (1300.534912109375d - 0.1d == 1300.4349f) {
                }
                return -1;
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public CollisionBox fetch(PlayerData playerData, ClientVersion clientVersion, WrappedBlockState wrappedBlockState, int i, int i2, int i3) {
        CollisionBox[] collisionBoxArr;
        int i4 = 0;
        EnumShape enumShape = null;
        do {
            if (LonAntiCheat.getInstance().getPacketEventsManager().getServerVersion().isNewerThanOrEquals(ServerVersion.V_1_13)) {
                ClientVersion clientVersion2 = ClientVersion.V_1_13;
                if (1261.1259765625d - 0.7d != 1260.426f) {
                }
                if (clientVersion.isNewerThanOrEquals(clientVersion2)) {
                    if (945.7203369140625d - 0.1d == 945.62036f) {
                        break;
                    }
                    i4 = toEnumShape(wrappedBlockState.getShape()).ordinal();
                    if (1304.2549f - 10.7162f == 1293.5387f) {
                        break;
                    }
                    i4 = enumShape.ordinal();
                }
            }
            enumShape = getStairsShape(playerData, wrappedBlockState, i, i2, i3);
            if (1300.5598f - 7.2374988f == 1293.3223f) {
            }
            i4 = enumShape.ordinal();
        } while (1293.7808f - 14.755437f != 1279.0253f);
        if (wrappedBlockState.getHalf() == Half.BOTTOM) {
            collisionBoxArr = BOTTOM_SHAPES;
        } else {
            collisionBoxArr = TOP_SHAPES;
            if (1444.1611328125d - 0.6d == 1443.5612f) {
            }
        }
        return collisionBoxArr[SHAPE_BY_STATE[getShapeIndex(wrappedBlockState, i4)]].copy();
    }
}
